<?php
class Mailer extends Application
{
	public function sendHTMLMail($to, $from, $subject, $message, $from_name = 'Besparingen', $attachment = '', $reply_to='') {
		require_once(__DIR__.'/../libraries/Exception.php');
		require_once(__DIR__.'/../libraries/SMTP.php');
		require_once(__DIR__.'/../libraries/PHPMailer.php');
		
		$mail_to = explode(';', $to);
		foreach($mail_to as $mail_adress) {
			/*
			
			$to = "mattwardconsulting@gmail.com";
	        $subject = "This is subject";
	        
	        $message = "<b>This is HTML message.</b>";
	        $message .= "<h1>This is headline.</h1>";
	        
	        $header = "From:password_reset@besparingen.arcent.io \r\n";
	        $header .= "Cc:test@besparingen.arcent.io \r\n";
	        $header .= "MIME-Version: 1.0\r\n";
	        $header .= "Content-type: text/html\r\n";
	        
	        $retval = mail ($to,$subject,$message,$header);
	        
	        if( $retval == true ) {
	        	echo "Message sent successfully...";
	        } else {
	        	echo "Message could not be sent...";
	        }
			
			
			
			print "<h1>MAIL TO $to</h1>";
			
			$from = "password_reset@besparingen.arcent.io";
			
			$test1 = "mattwardconsulting@gmail.com";
			$test2 = "No Headers";
			$test3 = "Content without headers";
			
			if (mail($test1, $test2, $test3))
			{
			    echo "A1";
			}
			else
			{
			    echo "A2";
			}
			
			$test1 = "mattwardconsulting@gmail.com";
			$test2 = "Test Subject";
			$test3 = "Content without html";
			$test4 = "From: password_reset@besparingen.arcent.io \r\n".
			    "Reply-To: password_reset@besparingen.arcent.io \r\n" .
			    "X-Mailer: PHP/" . phpversion();
			
			if (mail($test1, $test2, $test3, $test4))
			{
			    echo "B1";
			}
			else
			{
			    echo "B2";
			}
			*/
			
			$out_message = $this->getEmailHTML($subject, $message);
			$from = "password_reset@besparingen.arcent.io";
			
			$headers  = 'MIME-Version: 1.0' . "\r\n";
			$headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
			$headers .= 'From: '.$from."\r\n".
			    'Reply-To: '.$from."\r\n" .
			    'X-Mailer: PHP/' . phpversion();
			
			if (mail($mail_adress, $subject, $out_message, $headers))
			{
			    //echo "C1";
			}
			else
			{
			    //echo "C2";
			}
		}
	}
	
	public function getEmailHTML($title,$content) {
		include_once(__DIR__.'/../required.php');
		$global_settings_object = new GlobalSettings();
		$emailhtml = "
				<html>
				<head>
					<meta charset='utf-8'>
					<meta name='format-detection' content='telephone=no'>
					<title>$title</title>
					<style>
						body {
							margin: 0;
							padding: 0;
							background: #eee;
						}
						.na {
							margin: 0;
							padding: 2em 0;
							background: #eee;
						}
						.na * {
							font-family: Verdana, sans-serif;
						}
						.na .clearfix {
							float: none;
							clear: both;
						}
						.na h2 {
							margin: .25em 0 1em 0;
							float: none;
							clear: both;
						}
						.na p {
							margin: .5em 0;
							font-size: 15px;
							line-height: 1.5em;
						}
						.na hr {
								border: none;
								height: 2px;
								color: #000; /* old IE */
								background-color: #000; /* Modern Browsers */
						}
				
						.na .main-wrap {
							max-width: 700px;
							width: 100%;
							margin: 1em auto;
							background: #fff;
							position: relative;
						}
				
						.na .header {
							border-bottom: 2px solid black;
							margin: 0 2em 2em;
							padding: 1.5em 0 .5em 0;
						}
						.na .header .logo {
							vertical-align: bottom;
						}
						.na .header__receipt-nr {
							font-size: 16px;
							font-weight: 800;
						}
				
						.na .body, .na .footer, .na .sub-footer {
							box-sizing: border-box;
							padding: 0 2em
						}
						.na a, .na a:hover, .na a:active, .na a:visited {
							text-decoration: none;
						}
				
						.na .summary {
							margin: 3em 0 1em;
							padding: 1em;
							background: #f2d8ce;
						}
						.na .summary__object + .summary__object {
						    padding-top: 1em;
						}
						.na .summary__label {}
						.na .summary__value {
							font-weight: 800;
						}
						.na .summary__total-wrap{ 
							text-align: right;
						}
						.na .summary__total-table { 
							text-align: right;
							float: right;
						}
						.na .summary__total-price {
							font-weight: 800;
							font-size: 1.3em;
						}
						.na .summary__pay-button {
							display: block;
							float: left;
							width: 100px;
							padding: 1em 2.5%;
							margin-bottom: 1.5em;
							color: #fff;
							font-size: 14px;
							font-weight: 800;
							text-align: left;
							text-decoration: none;
							float: right;
							background: #004f4f;
						}
						.na .summary__pay-button img {
							height: 1.7em;
							margin-left: 1em;
							margin-top: -.2em;
							margin-bottom: -.2em;
							float: right;
						}
				
				
						.na .pdf-wrap{
							margin: 2em 0;
							padding: 1em;
							background: #f2d8ce;
							line-height: 1.5em;
						}
						.na .pdf-wrap__pdf-icon {
							height: 43px;
							float: left;
							margin-right: .8em;
							margin-top: 2px;
						}
				
						.na .pdf-wrap__download-link {
							color: #000;
							text-decoration: underline;
						}
						.na .pdf-wrap__download-link:hover {
							color: #555;
						}
				
						.na .buttons {
							margin: 2em 0 1em;
						}

						.na .body .buttons__button--odd {
							margin-right: 0;
						}
						.na .body .buttons__button img {
							display: inline-block;
							height: 1.7em;
							margin-left: 1em;
							margin-top: -.2em;
							margin-bottom: -.2em;
							float: right;
						}
				
				
						.na .footer {
							background: #013298;
							color: white;
							margin: 0;
							padding: 1.2em 2em;
							font-weight: 800;
							text-align: center;
						}
						.na .footer a, .na .footer a:hover, .na .footer a:active, .na .footer a:visited {
							color: #fff;
							text-decoration: underline;
						}
						.na .sub-footer {
							background: #000;
							color: #ccc;
							margin: 0;
							padding: .7em 2em;
							text-align: center;
						}
						.na .footer p {
							font-size: 13px;
						}
						.na .sub-footer p {
							font-size: 11px;
						}
						
						.footer, .sub-footer {
							max-width:700px;
						}
						
						a.kwikk-btn-mail {
						    display: inline-block;
						    margin-top: .5em;
						    padding: 9px 32px 10px 32px;
						    cursor: pointer;
						    background-repeat: no-repeat;
						    color: #fff;
						    font-size: 12px;
						    box-shadow: 0 9px 15px -4px rgba(0,0,0,.15);
						    cursor: pointer;
						    user-select: none;
						    overflow: hidden;
						    text-transform: uppercase;
						    font-weight: 700;
							background: #2c51d0;
						    font-weight: 400;
						}
						</style>
				</head>
				<body translate='no'>
				<div class='na'>
					<div class='main-wrap'>
						<div class='header' style='text-align: left;height:80px;'>
							<img src='http://besparingen.arcent.io/admin/assets/img/Logo-80x80.png' alt='' class='header__logo' style='float: left;'/>
						</div>
					</div>
					<div class='body'>
						$content
					</div>
				</div>
				</body>
				</html>";
		return $emailhtml;
	}
}
?>