<?php 
//pulls all required and global information
include_once 'required.php';
//only load the page if someone is actually logged in

//only load page for actual users, ink superuser
if (!empty($global_user) && $global_user->user_id != '') {
	if(isset($_GET['resources_id'])) {
		$resources_id = $_GET['resources_id'];
		$resources = new Resources();
		
		if(!empty($_POST['submit'])) {
			$data = array();
			$data['swe_word'] = $_POST['swe_word'];
			$data['elfdalian_word'] = $_POST['elfdalian_word'];
			
			if ($_POST['id'] == "new") {
				$resources_id = $resources->addResource($data);
				$_SESSION['splash'] = $_['resource_created'];
				$_SESSION['splash_type'] = 'success';
			} else {
				$data['id'] = $resources_id;
				$resources->updateResource($data);
				$_SESSION['splash'] = $_['resource_updated'];
				$_SESSION['splash_type'] = 'success';
			}
			if ($_POST['tags_editted'] && !empty($resources_id)) {
				$resources->setTags($resources_id, $_POST['tags']);
			}
			
			$files = array();
			if(!empty($_FILES["uploadImage"])) {
				$resources->addResourceFile($resources_id, $_FILES["uploadImage"], "image");
			}
			if(!empty($_FILES["uploadSoundSwedish"])) {
				$resources->addResourceFile($resources_id, $_FILES["uploadSoundSwedish"], "swe_sound_file");
			}
			if(!empty($_FILES["uploadSoundElfdalian"])) {
				$resources->addResourceFile($resources_id, $_FILES["uploadSoundElfdalian"], "elfdalian_sound_file");
			}
			
			unset($_POST);
			?>
			<script>
				window.location.href = "resources";
			</script>
			<?php
			exit();
			
		}
		
		if ($resources_id == "new") {
			$is_new = true;
		} else {
			$is_new = false;
			$resource = $resources->getResource($resources_id);
		}
	} else {
		header('Location: index');
	}
?>

<!-- END HEAD -->
<?php
	include 'templates/head.php';
?>
<script src="https://cdn.jsdelivr.net/npm/vue"></script>
 
<!-- BEGIN BODY -->
<style>
	abbr {
    background: black;
    color: white;
    font-weight: bold;
    display: inline-block;
    height: 1.5em;
    width: 1.5em;
    border: 1px solid black;
    border-radius: 5em;
    box-shadow: inset 0 0 0 1px white;
    text-align: center;
    opacity: .6;
    text-decoration: none;
    font-size: 0.9em;
    line-height: 1.6em;
    transition: all .3s;
	}
	abbr:hover {
		opacity: 1;
	}
	.form-horizontal .control-group {
		margin-bottom: 10px;
	}
	.collapsible-header {
    background: #eee;
    border-bottom: 1px solid #aaa;
    padding: .5em .75em .4em;
    margin-top: 1em;
    display: flex;
    justify-content:space-between;
    align-items: center;
    cursor: pointer;
	}
	.collapsible-header .small-link {
		color: #00f;
		font-size: 12px;
		text-decoration: underline;
		margin-left: 1em;;
	}
	.buttons-shipping-container {
	    display: none;
	}
	.buttons-collapsible-container {
	    display: none;
	}
	.buttons-extra-container{
	    display: none;
	}
	.collapsible--open {
		background: #3449ae17;
	}
	.collapsible--open .fa-chevron-double-down{
    display: none;
	}
	.collapsible--open .fa-chevron-double-up{
	    display: inline;
	}
	.fa-chevron-double-up{
	    display: none;
	}

	.vat-option-selected {
		border:1px solid black;	
	}

	.result-wrap {
	    display: flex;
	    flex-wrap: wrap;
	    margin: -16px;
	    margin-bottom: 1em;
	}
	.result-col {
	    flex: 500px 1 0;
	    margin: 16px;
	}
	@media (max-width: 550px){
		.result-wrap {
		    margin: -16px 0;
		}
		.result-col {
		    flex: 100% 1 0;
		    margin: 16px 0;
		}	
	}
	code {
 	   white-space: normal; 
	   word-break: break-word;
	}
	input+select {
    width: 153px;
	}
	
	.preview_image {
		height: 150px;
		box-shadow: 1px 1px 4px black;
	}
</style>
<body class="page-header-fixed">
	<?php
		include 'templates/header.php';
	?>
	<!-- BEGIN CONTAINER -->
	<div class="page-container">
		<?php
			include 'templates/navigation.php';
		?>
		<!-- END SIDEBAR -->
		<!-- BEGIN PAGE -->
		<div class="page-content" style="min-height:864px !important">
			<!-- BEGIN PAGE CONTAINER-->        
			<div class="container-fluid">
				<!-- BEGIN PAGE HEADER-->
				<div class="row-fluid">
					
					<?php include 'templates/splash.php'; ?>
					
					<div>
						<!-- BEGIN PAGE TITLE & BREADCRUMB-->
						<ul class="breadcrumb">
							<li>
								<i class="icon-home"></i>
								<a href="index"><?php echo $_['global_home']; ?></a> 
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="resources"><?php echo $_['global_resources']; ?></a>
								<i class="icon-angle-right"></i>
							</li>
							<li>
								<a href="#"><?php echo $_['global_resource']; ?></a>
							</li>
						</ul>
						<h3 class="page-title">
							<?php echo $_['resource_page_title']; ?>
						</h3>
						<!-- END PAGE TITLE & BREADCRUMB-->
					</div>
				</div>
				<!-- END PAGE HEADER-->
				<!-- BEGIN PAGE CONTENT-->
				<div class="row-fluid">
					<div class="span12">
						<form action='<?php echo htmlspecialchars($_SERVER["PHP_SELF"]."?resources_id=".$resources_id); ?>' method='POST' enctype="multipart/form-data" onkeydown="return event.key != 'Enter';">
							<div class="control-group">
								<label class="control-label"><?php echo $_['global_id']; ?></label>
								<div class="controls">
									<input class='button-field' type='text' value='<?php echo ($is_new)?$_['global_new']:$resource->id; ?>' placeholder='' disabled/>
									<input type='hidden' name='id' id='id' value='<?php echo ($is_new)?'new':$resource->id; ?>'>
									<input type='hidden' name='tags_editted' id='tags_editted' value='0'>
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['resources_swedish_word']; ?></label>
								<div class="controls">
									<input class='button-field' type='text' name='swe_word' id='swe_word' value='<?php echo ($is_new)?'':$resource->swe_word; ?>' placeholder='' />
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['resources_elfdalian_word']; ?></label>
								<div class="controls">
									<input class='button-field' type='text' name='elfdalian_word' id='elfdalian_word' value='<?php echo ($is_new)?'':$resource->elfdalian_word; ?>' placeholder='' />
								</div>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['resources_swedish_sound_file']; ?></label>
								<div class="controls">
									<input type="file" name="uploadSoundSwedish" id="uploadSoundSwedish">
								</div>
								<?php
								if (!$is_new) {
									$preview_path = $resources->getLatestResourceFile($resource->id, "swe_sound_file")->full_path;
									if (!empty($preview_path)) {
									?>
									<div class="controls">
										<audio controls>
										  <source src="<?php echo $preview_path; ?>" type="audio/mpeg">
										</audio>
									</div>
									<?php }
								} ?>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['resources_elfdalian_sound_file']; ?></label>
								<div class="controls">
									<input type="file" name="uploadSoundElfdalian" id="uploadSoundElfdalian">
								</div>
								<?php
								if (!$is_new) {
									$preview_path = $resources->getLatestResourceFile($resource->id, "elfdalian_sound_file")->full_path;
									if (!empty($preview_path)) {
									?>
									<div class="controls">
										<audio controls>
										  <source src="<?php echo $preview_path; ?>" type="audio/mpeg">
										</audio>
									</div>
									<?php }
								} ?>
							</div>
							
							<div class="control-group">
								<label class="control-label"><?php echo $_['global_image']; ?></label>
								<div class="controls">
									<input type="file" name="uploadImage" id="uploadImage">
								</div>
								<?php
								if (!$is_new) {
									$preview_path = $resources->getLatestResourceFile($resource->id, "image")->full_path;
									if (!empty($preview_path)) {
									?>
									<div class="controls">
										<img src="<?php echo $preview_path; ?>" class="preview_image">
									</div>
									<?php }
								} ?>
							</div>
							
							<div class="control-group">
									<label class="control-label"><?php echo $_['game_add_tags']; ?></label>
									<table class="table table-striped table-bordered table-hover">
										<thead>
											<tr>
												<th style="width:50%"><?php echo $_['game_filter_tags']; ?></th>
												<th style="width:50%"><?php echo $_['game_select_tags']; ?></th>
											</tr>
											<tr>
												<th><input id='search_tag_text' name='search_tag_text' type='text' value='' oninput='fillTagSearch()'></th>
												<th><span id='search_tag_container'><select id='searchTag' name='searchTag'><option value='' selected></option></select></span></th>
											</tr>
										</thead>
									</table>
									<script>
										$('document').ready(function(){fillTagSearch();});
									
										function fillTagSearch() {
											var searchtaginput = ''+$('#search_tag_text').val();
											var excluded_ids = "";
											$(".tag_row").each(function() {
												if (excluded_ids != "") {
													excluded_ids = excluded_ids + " ";
												}
												excluded_ids = excluded_ids + $(this).attr('tags_id');
											});
											
											$.ajax({
												url: 'ajax.php',
										    	method: 'POST',
												data: { action : 'return_tag_search', searchterm : searchtaginput, exclude: excluded_ids},
											})
											.done(function( msg ) {
												$('#search_tag_container').html(msg);
												$('#searchTag').change(function() {
													addTagToTable();
												});
											});
										}
										
										function addTagToTable() {
											if ($("#searchTag").val() > 0) {
												var tags_id = $("#searchTag").val();
												$('#search_tag_container').html("<select id='searchTag' name='searchTag'><option value='' selected></option></select>");
												if ($("#tag_row_"+tags_id).length == 0) {
													$.ajax({
														url: 'ajax.php',
												    	method: 'POST',
														data: { action : 'add_tag_row_resource', tags_id: tags_id},
													})
													.done(function( msg ) {
														$('#tags_table tr:first').after(msg);
														$('#tags_editted').val(1);
														fillTagSearch();
													});
												}
											}
										}
										
										function removeTagRow(tags_id) {
											$('#tag_row_'+tags_id).remove();
											$('#tags_editted').val(1);
										}
									</script>
								</div>
								
								<div class="control-group">
									<label class="control-label"><?php echo $_['tags_tags']; ?></label>
									<table class="table table-striped table-bordered table-hover" id="tags_table">
										<tbody>
											<tr>
												<td><?php echo $_['global_id']; ?></td>
												<td><?php echo $_['tag_tag']; ?></td>
												<td><?php echo $_['games_resource_count']; ?></td>
												<td></td>
											</tr>
											<?php
											if (!empty($resource->id)) {
												echo $resources->fillTagRows($resource->id);
											}
											?>
										</tbody>
									</table>
								</div>
							
							<div class="form-actions">
								<button type='submit' class='btn hovertheme' name='submit' value=1><i class="icon-save"></i>&nbsp;&nbsp;<?php echo $_['global_save']; ?></button>
							</div>
						</form>
					</div>
				</div>
				<!-- END PAGE CONTENT -->
			</div>
			<!-- END PAGE CONTAINER-->
		</div>
		<!-- END PAGE -->    
	</div>
	<!-- END CONTAINER -->
	<?php include 'templates/footer.php'; ?>
	
<?php 
//close the page load user check
} else {
	header('Location: login');
}
?>