<!DOCTYPE html>
<!-- BEGIN HEAD -->
<head>
	<meta charset="utf-8" />
	<title><?php echo $_['global_company_name']; ?> | <?php echo $_['global_control_panel']; ?></title>
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<meta content="" name="description" />
	<meta content="" name="author" />
	<!-- BEGIN GLOBAL MANDATORY STYLES -->        
	<link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
	<link href="assets/plugins/bootstrap/css/bootstrap-responsive.min.css" rel="stylesheet" type="text/css"/>
	<link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/style-metro.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
	<link href="assets/css/theme.css" rel="stylesheet" type="text/css" id="style_color"/>
	<link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
	<!-- END GLOBAL MANDATORY STYLES -->
	<!-- BEGIN PAGE LEVEL PLUGIN STYLES --> 
	<link href="assets/plugins/gritter/css/jquery.gritter.css" rel="stylesheet" type="text/css"/>
	<link href="assets/plugins/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet" type="text/css" />
	<link href="assets/plugins/fullcalendar/fullcalendar/fullcalendar.css" rel="stylesheet" type="text/css"/>
	<link href="assets/plugins/jqvmap/jqvmap/jqvmap.css" rel="stylesheet" type="text/css" media="screen"/>
	<link href="assets/plugins/jquery-easy-pie-chart/jquery.easy-pie-chart.css" rel="stylesheet" type="text/css" media="screen"/>
	<!-- END PAGE LEVEL PLUGIN STYLES -->
	<!-- BEGIN PAGE LEVEL STYLES --> 
	<link href="assets/css/pages/tasks.css" rel="stylesheet" type="text/css" media="screen"/>
	<!-- END PAGE LEVEL STYLES -->
	<link rel="shortcut icon" href="favicon.ico" />
	<script src="assets/plugins/jquery-1.10.1.min.js" type="text/javascript"></script>
	<script src="https://kit.fontawesome.com/bbfc177d6d.js" crossorigin="anonymous"></script> <?php /* Font Awesome Pro / David */ ?>
	
	<?php if (isset($global_user)) { //set up user online status tracking ?>
		<script>
			var last_action_time = new Date(jQuery.now());
		
			$(document).ready(function () {
				update_user_last_online();
				update_user_last_action();
				
			    //Set a new active time on mouse movement.
			    $(this).mousemove(function (e) {
			    	var d = new Date(jQuery.now()); d.setMinutes(d.getMinutes() - 3);
			    	if (last_action_time <= d) {
			    		last_action_time = new Date(jQuery.now());
			    		update_user_last_action();
			    	}
			    });
			    //Set a new active time on keypress.
			     $(this).keypress(function (e) {
			    	var d = new Date(jQuery.now()); d.setMinutes(d.getMinutes() - 3);
			    	if (last_action_time <= d) {
			    		last_action_time = new Date(jQuery.now());
			    		update_user_last_action();
			    	}
			    });
			    
			    setInterval(function(){ update_user_last_online(); }, 180000);
			});
			
			function update_user_last_online() {
				jQuery.ajax({
				    url: 'ajax.php',
					method: 'POST',
					contentType: "application/x-www-form-urlencoded;charset=utf-8",
					data: {action: "update_user_last_online"}
				}).done(function (response) {
				    //Do nothing
				}).fail(function () {
					//Do Nothing
				});
			}
			
			function update_user_last_action() {
				jQuery.ajax({
				    url: 'ajax.php',
					method: 'POST',
					contentType: "application/x-www-form-urlencoded;charset=utf-8",
					data: {action: "update_user_last_action"}
				}).done(function (response) {
				    //Do nothing
				}).fail(function () {
					//Do Nothing
				});
			}
		</script>
	<?php } ?>
</head>